language: cn
model_unique_abbr: Flow_radiation-11081104
version: 1.0.0
identification:
  docker_image_name: spark-geoflow:1.0
  model_name: 流的辐射模型-11081110
  description: 本算法旨在使用辐射模型公式估计流量test3。
  category_application: 诊断型
  category_data:
    - csv数据
  keywords:
    - 地理流

parameter_info:
  parameters:
    - arg_name: ' '
      is_positional_arg: true
      param_type: param
      visible: false
      name: 算法名称
      description: 算法的名称或者是一个特定的操作指令
      is_required: false
      data_type: str
      specification:
        default: flow-radiation
    - arg_name: input
      is_positional_arg: true
      param_type: input_data
      name: 输入数据文件
      description: 记录区域人口和总流出量的文件
      data_type: csv
      data_semantic: csv input flow
    - arg_name: output
      is_positional_arg: true
      param_type: output_data
      name: 输出数据文件
      description: 算法的结果将会保存在这个输出数据文件的路径
      data_type: str
      data_semantic: csv output flow
    - arg_name: input_index
      is_positional_arg: true
      param_type: param
      name: 参数
      description: 区域文件中的列索引. 依次输入区域id, 区域X坐标, 区域Y坐标, 区域人口, 区域的总流出量, 采用","分割
      is_required: false
      data_type: str
      data_semantic: parameters

application:
  domain: 地理流
  objective: 估计流量
  link_models:
    preorder: []


operation:
  usage: 使用方法描述
  exec_example:
    - docker run -u 0 crazy-zlj:spark_geoflow:1.0 flow-gravity /opt/spark/data/od_flows.csv /opt/spark/data/gravity_res /opt/spark/data/district_pop_wuhan.csv 1 0,1 0,1,2,3
  output_display:
    - 输出显示描述

technique:
  language: [scala]
  os: [windows, linux]

source:
  maintainer: Xingchen Fan
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: fanxc@lreis.ac.cn
  references:
    - 参考文献1
